Permalink
Browse files

fix: .snyk & package.json to reduce vulnerabilities

The following vulnerabilities are fixed with a Snyk patch:
- https://snyk.io/vuln/npm:hoek:20180212
  • Loading branch information...
snyk-bot committed Jun 20, 2018
1 parent 4a328b4 commit bbf951f13c7d75bd13a643037d868fec835da15d
Showing with 29 additions and 3 deletions.
  1. +22 −0 .snyk
  2. +7 −3 package.json
View
22 .snyk
@@ -0,0 +1,22 @@
# Snyk (https://snyk.io) policy file, patches or ignores known vulnerabilities.
version: v1.12.0
ignore: {}
# patches apply the minimum changes required to fix a vulnerability
patch:
'npm:hoek:20180212':
- osrm > node-pre-gyp > hawk > hoek:
patched: '2018-06-20T02:42:14.095Z'
- osrm > node-pre-gyp > hawk > boom > hoek:
patched: '2018-06-20T02:42:14.095Z'
- osrm > node-pre-gyp > hawk > sntp > hoek:
patched: '2018-06-20T02:42:14.095Z'
- osrm > node-pre-gyp > hawk > cryptiles > boom > hoek:
patched: '2018-06-20T02:42:14.095Z'
- osrm > node-pre-gyp > request > hawk > hoek:
patched: '2018-06-20T02:42:14.095Z'
- osrm > node-pre-gyp > request > hawk > boom > hoek:
patched: '2018-06-20T02:42:14.095Z'
- osrm > node-pre-gyp > request > hawk > sntp > hoek:
patched: '2018-06-20T02:42:14.095Z'
- osrm > node-pre-gyp > request > hawk > cryptiles > boom > hoek:
patched: '2018-06-20T02:42:14.095Z'
View
@@ -32,7 +32,9 @@
"docs": "documentation build src/* -g --markdown-toc false -f md -o API.md",
"lint": "eslint .",
"start": "node index.js",
"test": "jest"
"test": "jest",
"snyk-protect": "snyk protect",
"prepare": "npm run snyk-protect"
},
"config": {
"commitizen": {
@@ -42,7 +44,8 @@
"dependencies": {
"isochrone": "^3.0.1",
"minimist": "^1.2.0",
"osrm": "5.18.0"
"osrm": "5.18.0",
"snyk": "^1.83.0"
},
"devDependencies": {
"@mapbox/geojsonhint": "^2.1.0",
@@ -55,5 +58,6 @@
"jest": "^23.1.0",
"supertest": "^3.1.0",
"tape": "^4.9.1"
}
},
"snyk": true
}

0 comments on commit bbf951f

Please sign in to comment.